#!/bin/sh
cr_bindir=${top_builddir:-..}/bin
cr_run=${cr_run:-${cr_bindir}/cr_run}
cr_checkpoint=${cr_checkpoint:-${cr_bindir}/cr_checkpoint}
for dir in `dirname $0` . ${top_builddir:-..}/tests; do
  test -x ${dir}/pause && break
done
#
${cr_run} -- ${dir}/pause >/dev/null 2>/dev/null &
pid=$!
sleep 1
\rm -f context.$pid 2>/dev/null
trap "\rm -f context.$pid 2>/dev/null" 0
${cr_checkpoint} --quiet $pid
result=$?
if test $result = 0; then
  : # OK
else
  echo "Checkpoint unexpectedly failed with exit code $result" >&2
  exit 1
fi
exec 2>/dev/null # Drop job control message(s)
kill $pid
wait $pid
exit 0
